/**
*
* @package ppkBB3cker
* @version $Id: my.js 1.000 2009-04-09 13:05:00 PPK $
* @copyright (c) 2009 PPK
* http://ppkbb3cker.rx22.ru, http://protoneutron.narod.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

$(document).ready(
	function()
	{
		//$(".torr_sl").hide();
		$(".post_sl").hide();
		$(".scr_sl").hide();
		//$(".info_sl").hide();
		$(".opt_sl").hide();
		$(".vote_sl").hide();
		
		$(".qr_sl").hide();

		$(".qr_cl").click(function () {
		
			var isHidden = $(".qr_sl").is(":hidden");
			if(isHidden)
			{
				$(".qr_sl").slideDown("slow");
			}
			else
			{
				$(".qr_sl").slideUp("slow");
			}
			return false;
		});

		$(".qr_cl2").hover(function () {
			$(".qr_sl").show();
			return false;
		});

		$(".torr_cl").click(function () {
			var isVisible = $('.torr_sl').is(':visible');
			if(isVisible)
			{
				$(".torr_sl").hide();
			}
			else
			{
				$(".torr_sl").show();
			}
			return false;
		});
		$(".post_cl").click(function () {
			var isVisible = $('.post_sl').is(':visible');
			if(isVisible)
			{
				$(".post_sl").hide();
			}
			else
			{
				$(".post_sl").show();
			}
			return false;
		});
		$(".scr_cl").click(function () {
			var isVisible = $('.scr_sl').is(':visible');
			if(isVisible)
			{
				$(".scr_sl").hide();
			}
			else
			{
				$(".scr_sl").show();
			}
			return false;
		});		
		$(".info_cl").click(function () {
			var isVisible = $('.info_sl').is(':visible');
			if(isVisible)
			{
				$(".info_sl").hide();
			}
			else
			{
				$(".info_sl").show();
			}
			return false;
		});		
		$(".opt_cl").click(function () {
			var isVisible = $('.opt_sl').is(':visible');
			if(isVisible)
			{
				$(".opt_sl").hide();
			}
			else
			{
				$(".opt_sl").show();
			}
			return false;
		});
		$(".vote_cl").click(function () {
			var isVisible = $('.vote_sl').is(':visible');
			if(isVisible)
			{
				$(".vote_sl").hide();
			}
			else
			{
				$(".vote_sl").show();
			}
			return false;
		});		
		
		$(".torrhide").click(function () {
			var isVisible = $('.torrblock').is(':visible');
			if(isVisible)
			{
				$(".torrblock").fadeOut('slow');
				$(".messblock").css("width","100%");
				$(".torrhide").html('<img style="margin-top:3px;" src="./addons/images/my/go-first-view.png" alt="" />');
			}
			else
			{
				$(".torrblock").fadeIn('slow');
				$(".messblock").css("width","65%");
				$(".torrhide").html('<img style="margin-top:3px;" src="./addons/images/my/go-last-view.png" alt="" />');				
			}
			return false;
		});
	}
);
